org.apache.olingo.commons.api.edm

## Interface EdmFunctionImport

- All Superinterfaces:
    EdmAnnotatable, EdmNamed, EdmOperationImport

      public interface EdmFunctionImport
      extends EdmOperationImport

  A CSDL FunctionImport element

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullQualifiedName` | `getFunctionFqn()`
    `String` | `getTitle()` Returns a human readable title or null if not set.
    `EdmFunction` | `getUnboundFunction(List<String> parameterNames)` Gets unbound function with given parameter names.
    `List<EdmFunction>` | `getUnboundFunctions()` Gets unbound functions.
    `boolean` | `isIncludeInServiceDocument()`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmOperationImport

      `getEntityContainer, getFullQualifiedName, getReturnedEntitySet`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getUnboundFunctions

          List<EdmFunction> getUnboundFunctions()

      Gets unbound functions.
      Returns:
        unbound functions

    - #### getUnboundFunction

          EdmFunction getUnboundFunction(List<String> parameterNames)

      Gets unbound function with given parameter names.
      Parameters:
        `parameterNames` - parameter names
      Returns:
        unbound function with given parameter names

    - #### getFunctionFqn

          FullQualifiedName getFunctionFqn()

      Returns:
        the Full qualified name for the function as specified in the metadata

    - #### getTitle

          String getTitle()

      Returns a human readable title or null if not set.
      Returns:
        a human readable title or null

    - #### isIncludeInServiceDocument

          boolean isIncludeInServiceDocument()

      Returns:
        true if the function import must be included in the service document

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.